Subject: bug#64204: C/C++ local variables not syntax highlighted if they start with $

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jun 2023 09:55:00 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 22 Jun 2023 14:18:37 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Sorry, I disagree, for the reasons I explained above.  (I don't mind
> > this feature to be ON by default, though.)
> 
> Previously, this syntax (_only_ the syntax where an identifier starts
> with $; CC Mode has always supported identifiers containing $, which are
> also non-standard) would not be fontified at all, or would be fontified
> randomly.  Why would that be desirable, and how would it help anyone
> follow the Standard?

All the uses of '$' in identifiers should be controlled by that
option.

> My objection to adding unnecessary options to CC Mode is because, for
> some reason, these options end up requiring counter-intuitive steps to
> modify, and slow down CC Mode by a tiny (but not negligible) amount.

I disagree that this option is unnecessary.